#!/usr/bin/env bash

LOCAL_IMAGE=$1
REMOTE_IMAGE=$2

# Vérifier si le nom de l'image a été fourni
if [[ -z "$LOCAL_IMAGE" || -z "$REMOTE_IMAGE" ]]; then
  echo "Usage: $0 <LOCAL_IMAGE> <REMOTE_IMAGE>"
  exit 1
fi

REMOTE_IMAGE_DIGEST=$(curl -s "https://hub.docker.com/v2/repositories/$REMOTE_IMAGE/tags/latest/" | jq .digest)

RESULT=$(docker image inspect "$LOCAL_IMAGE" | jq '[[.[0].RepoDigests.[] | split("@")].[] | last] | unique | contains(['"$REMOTE_IMAGE_DIGEST"'])')

if [[ "$RESULT" == "true" ]]; then
  exit 0
else
  exit 1
fi
